//GU - [2020-06-22 11:41:46]
#ifndef _GU_H_
#define _GU_H_

#include "common.h"
#include "CPlayer.h"

//00154B3C
int GU_GetRot(TPoint3D const &);

//00154B4A
int GU_GetRot(TPoint3D const &, TPoint const &);

//001553F0
int GU_GetRot(TPoint3D const &, TPoint3D const &);

//0015BE38
int GU_GetRot(TPoint const &, TPoint const &);

//0015D790
int GU_GetRot(TPoint const &, TPoint3D const &);

//0016DE8C
ushort GU_GetRot(TPoint const &);

//00178EA4
void GU_FindBestInterceptPlayer(int, int, int, bool);

//00179D18
void GU_GetNearestPlayerInRot(int, TPoint, int, int, int, CPlayer **, int);

//00179E6C
void GU_GetFutureNearestPlayerInRot(int, TPoint, int, int, int, CPlayer **, int);

//0017A394
void GU_GetPlayerForwardBestSpace(CPlayer *, int, int, short *);

//0017AC0C
void GU_IsDirWide(int, int);

//0017AC2A
void GU_IsRot(int, int);

//0017AC4E
int GU_IsDirRot(TPoint, TPoint, int, int);

#endif  //_GU_H_